Page MenuHomePhabricator

[QuestyCaptcha] Questions with multiple answers should be case insensitive
Closed, ResolvedPublic

Description

Author: rahkesh

Description:
When providing multiple answers to a single questions QuestyCaptcha does not convert the answers to lower case, but it does convert the user input to lowercase which can make the question unanswerable. In contrast, when providing a single answer as a String, it is converted to lowercase as expected. Furthermore, the example at http://www.mediawiki.org/wiki/Extension:QuestyCaptcha#Question_and_Answer_Setup implies that you should be able to provide answers in upper case.

It is mentioned in a comment in the QuestyCaptcha.php file that the answers should be lowercase but it is easy to miss.


Version: master
Severity: normal

Details

Reference
bz63272

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:57 AM
bzimport set Reference to bz63272.
bzimport created this task.Mar 30 2014, 9:37 AM

Change 122104 had a related patch set uploaded by JustJustin:
QuestyCaptcha ignore answer case when stored in an array

https://gerrit.wikimedia.org/r/122104

Change 33153 had a related patch set uploaded (by Florianschmidtwelzow):
Make Questy answers in arrays case-insensitive

https://gerrit.wikimedia.org/r/33153

Patch-For-Review

Change 33153 merged by jenkins-bot:
Make Questy answers in arrays case-insensitive

https://gerrit.wikimedia.org/r/33153

Florian closed this task as Resolved.Aug 6 2015, 5:17 PM
Florian claimed this task.
Restricted Application added a subscriber: Florian. · View Herald TranscriptAug 6 2015, 5:17 PM